﻿using Infragistics.Controls.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDateTimeInput_sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DateTime? FirstValue { get; set; }
        public DateTime SecondValue { get; set; }

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this;

            FirstValue = DateTime.Now;
            SecondValue = DateTime.Now.AddMonths(1).AddDays(1);
        }

        private void input_ValueChanged(object sender, EventArgs e)
        {
            if (IsValidDateTime(inputA.Text) && IsValidDateTime(inputB.Text))
                button.IsEnabled = true;
            else
                button.IsEnabled = false;
        }

        private bool IsValidDateTime(string text)
        {
            DateTime temp;
            return DateTime.TryParse(text, out temp);
        }
    }
}
